Opened 4 years ago

Closed 4 years ago

#130 closed enhancement (fixed)

Allow IRN search without SPIRES- prefix

Reported by: jblayloc Owned by: jblayloc
Priority: major Milestone:
Component: WebSearch Version:
Keywords: INSPIRE Invenio Cc:

Description

moved from https://savannah.cern.ch/task/index.php?13980

2010-02-16 20:18, original submission:

should be able to find records by SPIRES irn

these are stored in 970a (I believe) but need to strip leading "SPIRES-" to allow:

find irn 9170

to work

2010-06-03 22:03, comment #1:

Is it desirable to keep the SPIRES- on the IRN's stored in INSPIRE? If so, then the correct strategy appears to be:

  • In search_engine_query_parser, translate irn keyword to 970a:
  • prefix object portion with SPIRES- (if it's not there already)

If not, then the correct strategy appears to be:

  • In search_engine_query_parser, translate irn keyword to 970a:
  • Run a bit of SQL that strips the SPIRES- from what's in the database
  • Stop the dumps from SPIRES from adding SPIRES- to the front of the IRNs.

2010-06-04 01:05, comment #2:

Tibor, please add my commit 3d4a178df from my Invenio branch '20100603.1700'. It should add this.

Change History (5)

comment:1 Changed 4 years ago by jblayloc

  • Status changed from new to in_merge

comment:2 Changed 4 years ago by jblayloc

  • Keywords INSPIRE Invenio added
  • Type changed from defect to enhancement

comment:3 Changed 4 years ago by jblayloc

I've reintegrated this code on top of today's master, re-tested it, and pushed it out as branch trac-130. I've deleted the old branch for this code.

comment:4 Changed 4 years ago by jblayloc

Also now available as 130-Websearch_IRNs_can_be_numbers_or_strings

comment:5 Changed 4 years ago by Joe Blaylock <jrbl@…>

  • Resolution set to fixed
  • Status changed from in_merge to closed

In [dd4bcbd3998fc21490440d328e1490993f901b00]:

Websearch: IRNs can be numbers or strings

  • SPIRES syntax parser now supports arguments of the form 'SPIRES-#####' or simply '########' for all of key, irn, record, and document, e.g.: 'find irn 1000039', 'find record SPIRES-1000039', 'irn:SPIRES-1000039' are all equivalent. (fixes #130)
Note: See TracTickets for help on using tickets.